Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_mutex_struct Struct Reference

## Data Fields
rb_thread_t * | th
struct rb_mutex_struct * | next_mutex
struct list_head | waitq

## Detailed Description

Definition at line 44 of file thread_sync.c.

## Field Documentation

## ◆ next_mutex

struct rb_mutex_struct* rb_mutex_struct::next_mutex

Definition at line 46 of file thread_sync.c.

Referenced by rb_threadptr_unlock_all_locking_mutexes().

## ◆ th

rb_thread_t* rb_mutex_struct::th

Definition at line 45 of file thread_sync.c.

## ◆ waitq

struct list_head rb_mutex_struct::waitq

Definition at line 47 of file thread_sync.c.

The documentation for this struct was generated from the following file:

- thread_sync.c